Name: pvpgn
Version: 1.8.0
Release: alt1

Summary: PvPGN is a BNETD mod which aims to provide support for all Blizzard clients
License: GPLv2
Group: System/Servers
Url: http://pvpgn.berlios.de

Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: %name-%{version}.tar.bz2
Source1: %name.init
Source2: %name.logrotate
Source3: README.alt.koi8r
Source4: bnetd.conf

# Automatically added by buildreq on Sat Jun 11 2005
BuildRequires: libMySQL-devel libpcap-devel libsqlite3-devel zlib-devel

%description
PvPGN is a BNETD mod which aims to provide support for all Blizzard clients (thus it supports all BNETD supported clients plus the most recent ones).
The list of supported clients and their minimum verion required is:
- Diablo 1 v1.09
- Starcraft v1.08
- BroodWar v1.08
- Warcraft II Battle.Net Edition v2.05
- Diablo 2 v1.10 (*)
- Diablo 2 LOD v1.10
- Warcraft III Reign Of Chao
- Warcraft III Frozen Throne

To create a fully playable server, you need support files, see README.alt
This build of PvPGN is linked with MySQL and SQLite3 libraries.

%prep
%setup -q -n%name-%{version}/src

%__cp -p %SOURCE3 .

%build
%configure \
	--sysconfdir=/etc/pvpgn \
	--mandir=/usr/share/man \
	--prefix=/usr \
	--bindir=/usr/bin \
	--localstatedir=/var/lib/pvpgn \
	--enable-bnetd \
	--enable-d2cs \
	--enable-d2dbs \
	--with-mysql \
	--with-sqlite3

%make_build

%install
%__install -d -m755 %buildroot/etc/pvpgn
%__install -d -m755 %buildroot/etc/rc.d/init.d
%__install -d -m755 %buildroot/var/log/pvpgn
%__install -d -m750 %buildroot/etc/logrotate.d

%make_install DESTDIR="%buildroot" install

%__install -m755 %SOURCE1 %buildroot%_sysconfdir/rc.d/init.d/pvpgn
%__install -m640 %SOURCE2 %buildroot%_sysconfdir/logrotate.d/pvpgn
%__install -m640 %SOURCE4 %buildroot%_sysconfdir/%name/bnetd.conf
%__mkdir_p -m755 %buildroot/var/run/%name

%pre
%_sbindir/groupadd -r -f pvpgn 2>/dev/null ||:
%_sbindir/useradd -g pvpgn -c 'PvPGN' -d /dev/null -s '' -r pvpgn 2>/dev/null ||:

%files
%config %_sysconfdir/%name/*
%doc ../docs/* ../version-history.txt ../TODO ../README ../CREDITS ../COPYING ../BUGS ../README.DEV
%doc README.alt.koi8r
%_bindir/*
%_sbindir/*
%_sysconfdir/logrotate.d/%name
%_sysconfdir/rc.d/init.d/%name
%_mandir/man1/*
%_mandir/man5/*
%_localstatedir/%name
%attr(750,pvpgn,pvpgn) %dir %_logdir/%name
%attr(750,pvpgn,pvpgn) %dir /var/run/%name
%attr(750,pvpgn,pvpgn) %dir %_localstatedir/%name

%changelog
* Thu Dec 14 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.8.0-alt1
- 1.8.0 release.

* Sat Jan 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.8.0-alt0.rc2
- 1.8.0rc2.

* Tue Sep 20 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.7.8-alt1
- 1.7.8 release.

* Sat Jun 11 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.7.7-alt1
- 1.7.7 release.
- added sqlite3 backend.

* Wed Mar 16 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.7.5-alt2
- 1.7.5 release.
- fixed startup script / added default config.
- removed 'noreplace' from %%config.

* Fri Mar 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.7.5-alt1
- 1.7.5 Development Release.

* Wed Oct 20 2004 Pavlov Konstantin <thresh@altlinux.ru> 1.6.5-alt1
- Initial build for ALTLinux Sisyphus
